mirror of
git://projects.qi-hardware.com/openwrt-xburst.git
synced 2024-11-01 19:06:16 +02:00
343c185b7d
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@16547 3c298f89-4303-0410-b956-a3cf2f4a3e73
95 lines
3.3 KiB
Diff
95 lines
3.3 KiB
Diff
From d54d785a28afb65811c5d5ad727c57233deb6f60 Mon Sep 17 00:00:00 2001
|
|
From: Kurt Mahan <kmahan@freescale.com>
|
|
Date: Wed, 31 Oct 2007 16:36:51 -0600
|
|
Subject: [PATCH] Scripts to allow running files through checkpatch.pl
|
|
|
|
Scripts based on scripts/checkfiles that are in various trees.
|
|
|
|
These should not be sent up because there are already patches from
|
|
the original script author.
|
|
|
|
LTIBName: mcfv4e-checkfiles-script
|
|
Signed-off-by: Kurt Mahan <kmahan@freescale.com>
|
|
---
|
|
scripts/checkfiles | 35 +++++++++++++++++++++++++++++++++++
|
|
scripts/checkfilesterse | 34 ++++++++++++++++++++++++++++++++++
|
|
2 files changed, 69 insertions(+), 0 deletions(-)
|
|
create mode 100755 scripts/checkfiles
|
|
create mode 100755 scripts/checkfilesterse
|
|
|
|
--- /dev/null
|
|
+++ b/scripts/checkfiles
|
|
@@ -0,0 +1,35 @@
|
|
+#!/bin/sh
|
|
+# (c) 2007, Erez Zadok <ezk@cs.sunysb.edu> (initial version)
|
|
+# Licensed under the terms of the GNU GPL License version 2
|
|
+#
|
|
+# Check source files for compliance with coding standards, using terse
|
|
+# output in the style that g/cc produces. This output can be easily parsed
|
|
+# within text editors (e.g., emacs/vim) which can produce a split text
|
|
+# screen showing in one screen the error message, and in another screen the
|
|
+# corresponding source file, with the cursor placed on the offending line.
|
|
+# See for example the documentation for Emacs's "next-error" command, often
|
|
+# bound to M-x ` (ESC x back-tick).
|
|
+
|
|
+# Usage: checkfiles file [files...]
|
|
+# if "file" is a directory, will check all *.[hc] files recursively
|
|
+
|
|
+# check usage
|
|
+usage() {
|
|
+ echo "Usage: checkfiles file [files...]"
|
|
+ echo "(if \"file\" is a directory, check recursively for all C sources/headers)"
|
|
+ exit 1
|
|
+}
|
|
+
|
|
+# if test -z "$@" ; then
|
|
+# usage
|
|
+# fi
|
|
+if ! test -f scripts/checkpatch.pl ; then
|
|
+ echo "checkfiles: must run from top level source tree"
|
|
+ exit 1
|
|
+fi
|
|
+
|
|
+# check coding-style compliance of each source file found
|
|
+find "$@" -type f -name '*.[hc]' | \
|
|
+while read f ; do
|
|
+ diff -u /dev/null $f | perl scripts/checkpatch.pl -
|
|
+done
|
|
--- /dev/null
|
|
+++ b/scripts/checkfilesterse
|
|
@@ -0,0 +1,34 @@
|
|
+#!/bin/sh
|
|
+# (c) 2007, Erez Zadok <ezk@cs.sunysb.edu> (initial version)
|
|
+# Licensed under the terms of the GNU GPL License version 2
|
|
+#
|
|
+# Check source files for compliance with coding standards, using terse
|
|
+# output in the style that g/cc produces. This output can be easily parsed
|
|
+# within text editors (e.g., emacs/vim) which can produce a split text
|
|
+# screen showing in one screen the error message, and in another screen the
|
|
+# corresponding source file, with the cursor placed on the offending line.
|
|
+# See for example the documentation for Emacs's "next-error" command, often
|
|
+# bound to M-x ` (ESC x back-tick).
|
|
+
|
|
+# Usage: checkfiles file [files...]
|
|
+# if "file" is a directory, will check all *.[hc] files recursively
|
|
+
|
|
+# check usage
|
|
+usage() {
|
|
+ echo "Usage: checkfiles file [files...]"
|
|
+ echo "(if \"file\" is a directory, check recursively for all C sources/headers)"
|
|
+ exit 1
|
|
+}
|
|
+if test -z "" ; then
|
|
+ usage
|
|
+fi
|
|
+if ! test -f scripts/checkpatch.pl ; then
|
|
+ echo "checkfiles: must run from top level source tree"
|
|
+ exit 1
|
|
+fi
|
|
+
|
|
+# check coding-style compliance of each source file found, using terse output
|
|
+find "$@" -type f -name '*.[hc]' | \
|
|
+while read f ; do
|
|
+ diff -u /dev/null $f | perl scripts/checkpatch.pl -t -
|
|
+done
|